# A Formalization of Web Components (DOM_Components)

This git repository contains a local mirror of the [Archive of Formal Proofs (AFP)](https://www.isa-afp.org)
entry [*A Formalization of Web Components*](https://www.isa-afp.org/entries/DOM_Components.shtml).

The official AFP releases are tagged. Additionally, this repository may contain extensions (i.e., a 
development version) that may be submitted at a later point in time.

## How to build

```console
achim@logicalhacking:~$ isabelle build -D DOM_Components
```

## Authors

* [Achim D. Brucker](http://www.brucker.ch/)
* [Michael Herzberg](http://www.dcs.shef.ac.uk/cgi-bin/makeperson?M.Herzberg)

## License

This project is licensed under a 3-clause BSD-style license.

SPDX-License-Identifier: BSD-3-Clause

## Master Repository

The master git repository for this project is hosted by the [Software
Assurance & Security Research Team](https://logicalhacking.com) at
<https://git.logicalhacking.com/afp-mirror/Core_DOM>.

## Publications

* Achim D. Brucker and Michael Herzberg. A Formally Verified Model of
  Web Components. In Formal Aspects of Component Software (FACS).
  Lecture Notes in Computer Science (12018), Springer-Verlag, 2020,
  [doi:10.1007/978-3-030-40914-2_3](https://doi.org/10.1007/978-3-030-40914-2_3).
  <http://www.brucker.ch/bibliography/abstract/brucker.ea-web-components-2019>
